Skip to main content
Service and Application/Evaluation Task APIs
PUTEvaluation Task APIsSince 5.3.20SynchronousAuth Required

UpdateModelEvaluationTask

UpdateModelEvaluationTask

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID. It uniquely identifies the resource.

Body Fields

  • nameString

    Resource name.

  • descriptionString

    Detailed description of the resource.

  • systemTagsList

    System tags.

  • userTagsList

    User tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successBooleanRequired

    Whether the operation succeeded.

  • errorErrorCodeRequired

    The error code. This field is null when the operation succeeds.

  • inventoryModelEvaluationTaskInventoryRequired

    The model evaluation task inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The task name.

    • typeStringRequired

      The task type.

    • descriptionStringRequired

      The task description.

    • percentageIntegerRequired

      The task progress percentage.

    • opaqueStringRequired

      The extension information.

    • statusStringRequired

      The task status.

    • modelServiceGroupUuidStringRequired

      The model service instance group UUID.

    • evaluatedServiceGroupUuidStringRequired

      The evaluated service instance group UUID.

    • datasetUuidStringRequired

      The dataset UUID.

    • limitsIntegerRequired

      The limit value.

    • maxNewTokensIntegerRequired

      The maximum number of new tokens.

    • topKIntegerRequired

      The Top K parameter.

    • temperatureFloatRequired

      The temperature parameter.

    • topPFloatRequired

      The Top P parameter.

    • promptStringRequired

      The prompt.

    • repetitionPenaltyFloatRequired

      The repetition penalty parameter.

    • maxLengthIntegerRequired

      The maximum length.

    • modelStringRequired

      The model name.

    • urlStringRequired

      The service URL.

    • parallelIntegerRequired

      The concurrency value.

    • logEveryQueryIntegerRequired

      The query log interval.

    • apiStringRequired

      The API type.

    • requestHeadersMapRequired

      The request headers.

    • connectTimeoutIntegerRequired

      The connection timeout.

    • readTimeoutIntegerRequired

      The read timeout.

    • totalScoreDoubleRequired

      The total score.

    • endTimeTimestampRequired

      The end time.

    • createDateTimestampRequired

      The creation time.

    • lastOpDateTimestampRequired

      The last operation time.

Endpoint

PUT/zstack/v1/model-evaluation-tasks/{uuid}

/zstack/v1/model-evaluation-tasks/{uuid}

Operation ID

UpdateModelEvaluationTask

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/model-evaluation-tasks/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"name":"<name>","description":"<description>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "taskUuid", "name": "eval-task", "status": "Running" } }

Change History

This API has no change history records yet.

View all change history